Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

[SOLVED] [LINUX] An error occurred while launching VEKTOR 2089

A topic by rsbrowndog created May 16, 2017 Views: 274 Replies: 6
Viewing posts 1 to 6

I'm using Ubuntu 17.04 and this error popped up when trying to launch the game:

An error occurred while launching VEKTOR 2089

Some required 64-bit libraries are missing: libSDL2_mixer-2.0.so.0

Any ideas?

Developer

Hi it sounds like you're running "vektor.x86_64". Try running just "vektor". The library is in the x86_64 directory and the vektor script sets the library path to use that.

Will test that, but I am running the 64-bit version of Ubuntu (should have mentioned that originally) and launching the game through the itch app (probably should have mentioned that too!).

Yep, I can confirm just running "vektor" works. Looks like itch need to change their app so it calls that file rather than vektor.x86_64. I used the "Send feedback" button so hopefully they will get it sorted.

Game is fantastic by the way! ;)

Developer

Thanks for checking that! I think I can add a file so that the itch app knows which one to run by default. Will add that now!

Developer

This should be fixed in the new version. Please let me know if it still doesn't work when launching from the itch.io app.

Fixed!

Well done, sir. Now, crack on with making this game even more awesome!